import request from '@/utils/request'

// 查询数据处理列表
export function listPdProcessData(query) {
  return request({
    url: '/back/pdProcessData/list',
    method: 'get',
    params: query
  })
}

// 查询数据处理详细
export function getPdProcessData(id) {
  return request({
    url: '/back/pdProcessData/' + id,
    method: 'get'
  })
}

// 新增数据处理
export function addPdProcessData(data) {
  return request({
    url: '/back/pdProcessData',
    method: 'post',
    data: data
  })
}

// 修改数据处理
export function updatePdProcessData(data) {
  return request({
    url: '/back/pdProcessData',
    method: 'put',
    data: data
  })
}

// 删除数据处理
export function delPdProcessData(id) {
  return request({
    url: '/back/pdProcessData/' + id,
    method: 'delete'
  })
}
